<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 28일 일요일 오전 03시 50분 / 맑음, 11.2, 이상고온, 27, 10, 3%, 0%, 0.3ms / 보통, 34, 22, 0.01

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 내 카페 > 게시판 > 댓글 삭제 > 처리하기
=====================================================================

*/

  include_once('./_common.php');

  IF ( !$is_member )
  {
    alert_close('회원만 삭제할 수 있습니다.');
  }

  $delete_comment_token = get_session('ss_delete_comment_'. $comment_id.'_token');

  set_session('ss_delete_comment_'. $comment_id.'_token', '');

  IF ( !($token && $delete_comment_token == $token) )
  {
    alert('토큰 에러로 댓글을 삭제할 수 없습니다.');
  }

  $comment_id = isset($_REQUEST['comment_id']) ? (int) $_REQUEST['comment_id'] : 0;

  include_once( piree__path($piree_prog_a[770000]['num'], 'form.lib.php') );

  include_once( piree__path($piree_prog_a[770099]['num'], '_CAFE.INFO.CHECK.inc.php') );

  @include_once($board_cate_list_a[$board_cate_n]['board_skin_p'] .'/delete_comment.head.skin.php' );

  $sql_select  = "SELECT * FROM `". $piree['cafe_article'] ."` ";
  $sql_select .= "WHERE `wr_id` = '". $comment_id ."'";
  $write = sql_fetch($sql_select);

  IF ( !$write['wr_id'] || !$write['wr_is_comment'] )
  {
    alert('등록된 댓글이 없거나 댓글이 아닙니다.');
  }

  IF ( piree_cafe_auth_get())
  {

    ;
  }
  ELSE IF ( $member['mb_id'])
  {

    IF ( $member['mb_id'] !== $write['mb_id'] )
    {
      alert('자신의 댓글이 아니므로 삭제할 수 없습니다.');
    }

  }
  ELSE
  {

    alert('댓글을 삭제할 권한이 없습니다.');

  }

  $len = strlen($write['wr_comment_reply']);

  IF ( $len < 0 )
  {
    $len = 0;
  }

  $comment_reply = substr($write['wr_comment_reply'], 0, $len);

  $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_article'] ."` ";
  $sql_select .= "WHERE `wr_comment_reply` LIKE '". $comment_reply ."%' AND `wr_id` <> '". $comment_id ."' AND `wr_parent` = '". $write['wr_parent'] ."' AND `wr_comment` = '". $write['wr_comment'] ."' AND `wr_is_comment` = '1'";
  $exist_t = sql_EFV($sql);

  IF ( $exist_t > 0 && !piree_cafe_auth_get() )
  {
    alert('이 댓글과 관련된 답변 댓글이 있어서 삭제 할 수 없습니다.');
  }

  IF ( !delete_point($write['mb_id'], $piree['cafe_board_code'], $comment_id, '댓글') )
  {

    $point_geant_title_s = $board_cate_list_a[$board_cate_n]['bca_cate_s'] ." ". $write['wr_parent'] ."-". $comment_id ." 댓글삭제";

    insert_point($write['mb_id'], $board_cate_list_a[$board_cate_n]['bca_comment_point'] * (-1), $point_geant_title_s);

  }

  $sql_delete  = "DELETE FROM `". $piree['cafe_article'] ."` ";
  $sql_delete .= "where wr_id = '". $comment_id ."'";

  IF ( !sql_query($sql_delete) )
  {

    alert("댓글을 삭제하지 못했습니다.");

  }

  $sql_select  = "SELECT MAX(`wr_datetime`)  FROM `". $piree['cafe_article'] ."` ";
  $sql_select .= "WHERE `wr_parent` = '". $write['wr_parent'] ."'";
  $wr_last = sql_efv($sql);

  $sql_update  = "UPDATE `". $piree['cafe_article'] ."` SET ";
  $sql_update .= "wr_comment = wr_comment - 1, wr_last = '". $row['wr_last'] ."' WHERE wr_id = '". $write['wr_parent'] ."'";
  sql_query($sql_update);

  $sql_update  = "UPDATE `". $g5['board_table'] ." SET ";
  $sql_update .= "`bo_count_comment` = `bo_count_comment` - 1";
  $sql_update .= "WHERE `bo_table` = '". $piree['cafe_board_code'] ."'";
  sql_query($sql_update);

  $sql_delete  = "DELETE FROM `". $g5['board_new_table'] ."` ";
  $sql_delete .= "WHERE `bo_table` = '". $piree['cafe_board_code'] ."' AND `wr_id` = '". $comment_id ."'";
  sql_query($sql_delete);

  @include_once($board_cate_list_a[$board_cate_n]['board_skin_p'] .'/delete_comment.skin.php');
  @include_once($board_cate_list_a[$board_cate_n]['board_skin_p'] .'/delete_comment.tail.skin.php');

  delete_cache_latest($piree['cafe_board_code']);

  run_event('bbs_delete_comment', $comment_id, $board);

  $redirect_url = goto_url(go_piree_cafe_board('', $piree_cafe_n, $board_cate_n, $write['wr_parent']) .'&amp;page='. $page. $qstr);

  goto_url($redirect_url);

